Package org.springframework.security.web.server.authentication

# Interface ServerAuthenticationSuccessHandler

All Known Implementing Classes:
  `ConcurrentSessionControlServerAuthenticationSuccessHandler`, `DelegatingServerAuthenticationSuccessHandler`, `RedirectServerAuthenticationSuccessHandler`, `RegisterSessionServerAuthenticationSuccessHandler`, `WebFilterChainServerAuthenticationSuccessHandler`

public interface ServerAuthenticationSuccessHandler
Handles authentication success

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onAuthenticationSuccess(WebFilterExchange webFilterExchange, org.springframework.security.core.Authentication authentication)`
Invoked when the application authenticates successfully

## Method Details

### onAuthenticationSuccess

reactor.core.publisher.Mono<Void> onAuthenticationSuccess(WebFilterExchange webFilterExchange, org.springframework.security.core.Authentication authentication)
Invoked when the application authenticates successfully

Parameters:
  `webFilterExchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)